Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class NullEmbedderMonitor

    java.lang.Object
      org.jbehave.core.embedder.NullEmbedderMonitor

All Implemented Interfaces:
  EmbedderMonitor

Direct Known Subclasses:
  PrintStreamEmbedderMonitor

    public class NullEmbedderMonitor

extends Object
implements EmbedderMonitor

Null Object Pattern implementation of `EmbedderMonitor`. Can be extended to override only the methods of interest.

Constructor Summary
`NullEmbedderMonitor()`

Method Summary
`void` | `annotatedInstanceNotOfType(Object annotatedInstance, Class<?> type)`
`void` | `batchFailed(BatchFailures failures)`
`void` | `beforeOrAfterStoriesFailed()`
`void` | `embeddableFailed(String name, Throwable cause)`
`void` | `embeddableNotConfigurable(String name)`
`void` | `embeddablesSkipped(List<String> classNames)`
`void` | `generatingMapsView(File outputDirectory, StoryMaps storyMaps, Properties viewProperties)`
`void` | `generatingNavigatorView(File outputDirectory, Properties viewResources)`
`void` | `generatingReportsView(File outputDirectory, List<String> formats, Properties viewProperties)`
`void` | `mappingStory(String storyPath, List<String> metaFilters)`
`void` | `mapsViewGenerationFailed(File outputDirectory, StoryMaps storyMaps, Properties viewProperties, Throwable cause)`
`void` | `metaNotAllowed(Meta meta, MetaFilter filter)`
`void` | `navigatorViewGenerationFailed(File outputDirectory, Properties viewResources, Throwable cause)`
`void` | `navigatorViewNotGenerated()`
`void` | `processingSystemProperties(Properties properties)`
`void` | `reportsViewFailures(ReportsCount count)`
`void` | `reportsViewGenerated(ReportsCount count)`
`void` | `reportsViewGenerationFailed(File outputDirectory, List<String> formats, Properties viewProperties, Throwable cause)`
`void` | `reportsViewNotGenerated()`
`void` | `runningEmbeddable(String name)`
`void` | `runningStory(String path)`
`void` | `runningWithAnnotatedEmbedderRunner(String className)`
`void` | `storiesNotAllowed(List<Story> notAllowed, MetaFilter filter)`
`void` | `storiesNotAllowed(List<Story> notAllowed, MetaFilter filter, boolean verbose)`
`void` | `storiesSkipped(List<String> storyPaths)`
`void` | `storyFailed(String path, Throwable cause)`
`void` | `storyTimeout(Story story, StoryDuration storyDuration)`
`void` | `systemPropertySet(String name, String value)`
`void` | `usingControls(EmbedderControls embedderControls)`
`void` | `usingExecutorService(ExecutorService executorService)`
`void` | `usingThreads(int threads)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullEmbedderMonitor

    public NullEmbedderMonitor()

Method Detail

### runningEmbeddable

    public void runningEmbeddable(String name)

  Specified by:
    `runningEmbeddable` in interface `EmbedderMonitor`

### embeddableFailed

    public void embeddableFailed(String name,
                                 Throwable cause)

  Specified by:
    `embeddableFailed` in interface `EmbedderMonitor`

### embeddableNotConfigurable

    public void embeddableNotConfigurable(String name)

  Specified by:
    `embeddableNotConfigurable` in interface `EmbedderMonitor`

### embeddablesSkipped

    public void embeddablesSkipped(List<String> classNames)

  Specified by:
    `embeddablesSkipped` in interface `EmbedderMonitor`

### metaNotAllowed

    public void metaNotAllowed(Meta meta,
                               MetaFilter filter)

  Specified by:
    `metaNotAllowed` in interface `EmbedderMonitor`

### runningStory

    public void runningStory(String path)

  Specified by:
    `runningStory` in interface `EmbedderMonitor`

### storyFailed

    public void storyFailed(String path,
                            Throwable cause)

  Specified by:
    `storyFailed` in interface `EmbedderMonitor`

### storiesSkipped

    public void storiesSkipped(List<String> storyPaths)

  Specified by:
    `storiesSkipped` in interface `EmbedderMonitor`

### storiesNotAllowed

    public void storiesNotAllowed(List<Story> notAllowed,
                                  MetaFilter filter)

  Specified by:
    `storiesNotAllowed` in interface `EmbedderMonitor`

### storiesNotAllowed

    public void storiesNotAllowed(List<Story> notAllowed,
                                  MetaFilter filter,
                                  boolean verbose)

  Specified by:
    `storiesNotAllowed` in interface `EmbedderMonitor`

### batchFailed

    public void batchFailed(BatchFailures failures)

  Specified by:
    `batchFailed` in interface `EmbedderMonitor`

### beforeOrAfterStoriesFailed

    public void beforeOrAfterStoriesFailed()

  Specified by:
    `beforeOrAfterStoriesFailed` in interface `EmbedderMonitor`

### generatingReportsView

    public void generatingReportsView(File outputDirectory,
                                      List<String> formats,
                                      Properties viewProperties)

  Specified by:
    `generatingReportsView` in interface `EmbedderMonitor`

### reportsViewGenerationFailed

    public void reportsViewGenerationFailed(File outputDirectory,
                                            List<String> formats,
                                            Properties viewProperties,
                                            Throwable cause)

  Specified by:
    `reportsViewGenerationFailed` in interface `EmbedderMonitor`

### reportsViewGenerated

    public void reportsViewGenerated(ReportsCount count)

  Specified by:
    `reportsViewGenerated` in interface `EmbedderMonitor`

### reportsViewFailures

    public void reportsViewFailures(ReportsCount count)

  Specified by:
    `reportsViewFailures` in interface `EmbedderMonitor`

### reportsViewNotGenerated

    public void reportsViewNotGenerated()

  Specified by:
    `reportsViewNotGenerated` in interface `EmbedderMonitor`

### runningWithAnnotatedEmbedderRunner

    public void runningWithAnnotatedEmbedderRunner(String className)

  Specified by:
    `runningWithAnnotatedEmbedderRunner` in interface `EmbedderMonitor`

### annotatedInstanceNotOfType

    public void annotatedInstanceNotOfType(Object annotatedInstance,
                                           Class<?> type)

  Specified by:
    `annotatedInstanceNotOfType` in interface `EmbedderMonitor`

### mappingStory

    public void mappingStory(String storyPath,
                             List<String> metaFilters)

  Specified by:
    `mappingStory` in interface `EmbedderMonitor`

### generatingMapsView

    public void generatingMapsView(File outputDirectory,
                                   StoryMaps storyMaps,
                                   Properties viewProperties)

  Specified by:
    `generatingMapsView` in interface `EmbedderMonitor`

### mapsViewGenerationFailed

    public void mapsViewGenerationFailed(File outputDirectory,
                                         StoryMaps storyMaps,
                                         Properties viewProperties,
                                         Throwable cause)

  Specified by:
    `mapsViewGenerationFailed` in interface `EmbedderMonitor`

### generatingNavigatorView

    public void generatingNavigatorView(File outputDirectory,
                                        Properties viewResources)

  Specified by:
    `generatingNavigatorView` in interface `EmbedderMonitor`

### navigatorViewGenerationFailed

    public void navigatorViewGenerationFailed(File outputDirectory,
                                              Properties viewResources,
                                              Throwable cause)

  Specified by:
    `navigatorViewGenerationFailed` in interface `EmbedderMonitor`

### navigatorViewNotGenerated

    public void navigatorViewNotGenerated()

  Specified by:
    `navigatorViewNotGenerated` in interface `EmbedderMonitor`

### processingSystemProperties

    public void processingSystemProperties(Properties properties)

  Specified by:
    `processingSystemProperties` in interface `EmbedderMonitor`

### systemPropertySet

    public void systemPropertySet(String name,
                                  String value)

  Specified by:
    `systemPropertySet` in interface `EmbedderMonitor`

### storyTimeout

    public void storyTimeout(Story story,
                             StoryDuration storyDuration)

  Specified by:
    `storyTimeout` in interface `EmbedderMonitor`

### usingThreads

    public void usingThreads(int threads)

  Specified by:
    `usingThreads` in interface `EmbedderMonitor`

### usingExecutorService

    public void usingExecutorService(ExecutorService executorService)

  Specified by:
    `usingExecutorService` in interface `EmbedderMonitor`

### usingControls

    public void usingControls(EmbedderControls embedderControls)

  Specified by:
    `usingControls` in interface `EmbedderMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.